semilimes mcu sdk 1.1.4 semilimes Software Development Kit for microcontrollers

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
FcSingleChoice Class Reference

## Public Member Functions
| ~FcSingleChoice ()
void | set (const char *refname, const char *title, bool reqSel, const char *mode, const char *value)
void | addOptions (const char *name, const char *value)
void | appendOptions ()
char * | get ()

## Public Attributes
char | mode [2][9] = {"list", "dropdown"}

## Constructor & Destructor Documentation

## ◆ ~FcSingleChoice()

FcSingleChoice::~FcSingleChoice | ( |  | ) |
| inline

Returns
  void

## Member Function Documentation

## ◆ addOptions()

void FcSingleChoice::addOptions | ( | const char * | name,
|  | const char * | value )

Parameters

  name | - is the option identifier
  value | - text displayed to the user

Returns
  void

## ◆ appendOptions()

void FcSingleChoice::appendOptions | ( |  | ) |

Returns
  void

## ◆ get()

char * FcSingleChoice::get | ( |  | ) |

Returns
  char*

## ◆ set()

void FcSingleChoice::set | ( | const char * | refname,
|  | const char * | title,
|  | bool | reqSel,
|  | const char * | mode,
|  | const char * | value )

Parameters

  refname | - it is the reference name of the object
  title | - is the global label displayed at the beginning of the component
  reqSel | - indicates if the selection is required to submit the form
  mode | - indicates if the choice should be displayed as a radio list or a dropdown control. char mode[2][9] = {"list", "dropdown"};
  value | - points to one of the choices name and determines which option is selected on submission

Returns
  void

## Member Data Documentation

## ◆ mode

char FcSingleChoice::mode[2][9] = {"list", "dropdown"}

Parameters

  char | mode[2][9] = {"list", "dropdown"};

The documentation for this class was generated from the following files:

- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/fc_single_choice.h
- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/fc_single_choice.cpp